Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP::ListenPoint_var Class Reference

`#include <IIOPC.h>`

Collaboration diagram for IIOP::ListenPoint_var:

[legend]
List of all members.

## Public Methods
| ListenPoint_var (void)
| ListenPoint_var (ListenPoint *)
| ListenPoint_var (const ListenPoint_var &)
| ~ListenPoint_var (void)
ListenPoint_var & | operator= (ListenPoint *)
ListenPoint_var & | operator= (const ListenPoint_var &)
ListenPoint * | operator-> (void)
const ListenPoint * | operator-> (void) const
| operator const ListenPoint & () const
| operator ListenPoint & ()
| operator ListenPoint & () const
| operator ListenPoint *& ()
const ListenPoint & | in (void) const
ListenPoint & | inout (void)
ListenPoint *& | out (void)
ListenPoint * | _retn (void)
ListenPoint * | ptr (void) const
## Private Attributes
ListenPoint * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE IIOP::ListenPoint_var::ListenPoint_var | ( | void |  | ) |

ACE_INLINE IIOP::ListenPoint_var::ListenPoint_var | ( | ListenPoint * | p | ) |

IIOP::ListenPoint_var::ListenPoint_var | ( | const ListenPoint_var & |  | ) |

ACE_INLINE IIOP::ListenPoint_var::~ListenPoint_var | ( | void |  | ) |

## Member Function Documentation

ListenPoint* IIOP::ListenPoint_var::_retn | ( | void |  | ) |

const ListenPoint& IIOP::ListenPoint_var::in | ( | void |  | ) | const

ListenPoint& IIOP::ListenPoint_var::inout | ( | void |  | ) |

IIOP::ListenPoint_var::operator const ListenPoint & | ( |  | ) | const

IIOP::ListenPoint_var::operator ListenPoint & | ( |  | ) | const

IIOP::ListenPoint_var::operator ListenPoint & | ( |  | ) |

IIOP::ListenPoint_var::operator ListenPoint *& | ( |  | ) |

ACE_INLINE const ::IIOP::ListenPoint * IIOP::ListenPoint_var::operator-> | ( | void |  | ) | const

ACE_INLINE::IIOP::ListenPoint * IIOP::ListenPoint_var::operator-> | ( | void |  | ) |

ListenPoint_var& IIOP::ListenPoint_var::operator= | ( | const ListenPoint_var & |  | ) |

ACE_INLINE IIOP::ListenPoint_var & IIOP::ListenPoint_var::operator= | ( | ListenPoint * | p | ) |

ListenPoint*& IIOP::ListenPoint_var::out | ( | void |  | ) |

ListenPoint* IIOP::ListenPoint_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ListenPoint* IIOP::ListenPoint_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- IIOPC.h
- IIOPC.i